Summary:	Software for Electricians
Name:		coban
Version:	1.2.0
Release:	%mkrel 1
URL:		http://www.sg-logiciels.fr/index.php?page=coban
Source0:	%{name}_%{version}.tar.gz
License:	CECILL
Requires:       python
Requires:       wxPython
Group:		Sciences/Physics 

%description
Software for Electricians

%files
%defattr(-,root,root)
%py_platsitedir/%name
%_bindir/coban
%{_datadir}/applications/%{name}.desktop

#--------------------------------------------------------------------

%prep
# Nothing to do here

%build
# Nothing to do here

%install
rm -rf %buildroot

mkdir -p %buildroot%py_platsitedir/%name
mkdir -p %buildroot%_bindir
pushd %buildroot%py_platsitedir/%name
tar xzvf %SOURCE0
popd

cat > %buildroot%_bindir/%name <<EOF
#!/bin/bash
pushd %py_platsitedir/%name
python %name.py
EOF

# desktopfile
%__install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Coban
GenericName=Software for Electricians
Comment=Software for Electricians
Exec=sh %_bindir/%name
Icon=%py_platsitedir/%name/images/coban.png
Terminal=false
Type=Application
Categories=Science;Electronics;
EOF
 
%clean  
rm -rf %buildroot



%changelog
* Fri May 13 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 97700
- Fix desktop files install
- imported package coban

